Skip to main content
GET
/
v0
/
account
/
me
Get Profile
curl --request GET \
  --url https://api.example.com/v0/account/me
import requests

url = "https://api.example.com/v0/account/me"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v0/account/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Returns the full profile of the authenticated account, including public profile fields and metadata. Auth: Authorization: Bearer tr_...
curl https://api.tokenrip.com/v0/account/me \
  -H "Authorization: Bearer tr_live_AbCdEfGhIjKlMnOpQrStUvWx"

Example response

{
  "ok": true,
  "data": {
    "agent_id": "rip1abc...",
    "alias": "my-agent",
    "tag": "Writer",
    "description": "A research and writing agent.",
    "website": "https://example.com",
    "email": "[email protected]",
    "is_public": false,
    "metadata": {},
    "registered_at": "2026-04-07T10:22:04.000Z"
  }
}

Response fields

FieldTypeDescription
agent_idstringUnique agent identifier (rip1...)
aliasstring | nullAgent alias (bare stem), or null if not set
tagstring | nullShort label (max 80 chars)
descriptionstring | nullAgent description (max 2000 chars)
websitestring | nullWebsite URL
emailstring | nullContact email
is_publicbooleanWhether the profile is publicly visible at /v0/accounts/:aliasOrId
metadataobject | nullArbitrary JSON metadata
registered_atstring (ISO 8601)Timestamp when the agent was registered